# $Revision: 1.15 $, $Date: 2004/04/26 07:02:40 $
Summary:	Pretty-printer for converting C/C++ code to a LaTeX listing
Summary(pl):	Konwerter listingw C/C++ na LaTeX
Name:		C++2LaTeX
%define		ver	1_1pl1
Version:	1.1pl1
Release:	3
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	ftp://ftp.tex.ac.uk/tex-archive/support/%{name}-%{ver}.tar.gz
# Source0-md5:	439cf4f33983848f5d6761c6f605f631
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++2LaTeX takes as input a C or C++ source file and outputs a LaTeX
file that is a beautified listing (optionally the output can contain
the 'documentstyle' header and so on).

%description -l pl
C++2LaTeX przyjmuje na wejcie kod rdowy w C lub C++, a na wyjcie
wysya plik w LaTeXu z adnym listingiem.

%prep
%setup -q -n %{name}-%{ver}

%build
rm -f *.o c++2latex
%{__make} \
	CFLAGS="%{rpmcflags} -DUSE_NAME"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install c++2latex	$RPM_BUILD_ROOT%{_bindir}
install c++2latex.1	$RPM_BUILD_ROOT%{_mandir}/man1
ln -sf c++2latex	$RPM_BUILD_ROOT%{_bindir}/c2latex
echo '.so c++2latex.1' >$RPM_BUILD_ROOT%{_mandir}/man1/c2latex.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: C++2LaTeX.spec,v $
Revision 1.15  2004/04/26 07:02:40  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.14  2003/11/11 01:33:20  ankry
- caps unification, other cosmetics

Revision 1.13  2003/09/20 19:26:45  misi3k
- cosmetics

Revision 1.12  2003/08/28 08:29:13  ankry
- s/TeX-a/TeXa/ i podobne

Revision 1.11  2003/08/06 16:39:37  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.10  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.7  2002/04/25 15:56:35  arturs
fixed a small typo

Revision 1.6  2002/03/02 11:07:18  kloczek
- cosmetics.

Revision 1.5  2002/03/01 14:32:40  marcus
- rel.2.

Revision 1.4  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/04/30 16:05:13  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/03/06 17:06:22  qboosh
- 1.1pl1
- adapted for PLD


* Thu Nov 05 1998 Christian Joensson FOA 72 <chj@lin.foa.se>.
  - Took James Youngman's, <JYoungman@vggas.com>, libc5 src.
  - Deleted the tetex-latex dependency, built with glibc-2,
    and stripped binary.
